Delete Account
Delete Account
DELETE
https://api.ocamba.com/v2/adex/accounts/{id}
Delete an Account. Deleting an Account is only possible if it has no related objects associated with it, unless cascade=true is used to detach the account from dependencies where safe first.
Warning
You can not delete account which is already in use.
Note
We recommend you consider other options before deletion.
Tip
If you don’t know the account id, list the accounts to find it.
When cascade=true, the API detaches the account from dependencies where safe before deleting it. Success still returns 204. Cascade fails if dependents would be left invalid.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Path parameters
parametersQuery parameters
parametersResponse schemas
•
204
No Content
›
400
application/json
›
500
application/json
curl -X DELETE \
"https://api.ocamba.com/v2/adex/accounts/{id}" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/accounts/{id}';
const options = {
method: 'DELETE',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/accounts/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
204 No Content
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses